servicePrincipal: removeKey
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Remove a key credential from a servicePrincipal. This method along with addKey can be used by a servicePrincipal to automate rolling its expiring keys.
Note
Create servicePrincipal and Update servicePrincipal operations can continue to be used to add and update key credentials for any servicePrincipal with or without a user's context.
As part of the request validation for this method, a proof of possession of an existing key is verified before the action can be performed.
Permissions
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Application.ReadWrite.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | None. |
| Application | Application.ReadWrite.OwnedBy, Application.ReadWrite.All, Directory.ReadWrite.All |
HTTP request
POST /serviceprincipals/{id}/removeKey
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, provide the following required properties.
| Property | Type | Description |
|---|---|---|
| keyId | Guid | The unique identifier for the password. |
| proof | String | A self-signed JWT token used as a proof of possession of the existing keys. This JWT token must be signed using the private key of one of the servicePrincipal's existing valid certificates. The token should contain the following claims:
For steps to generate this proof of possession token, see Generating proof of possession tokens for rolling keys. |
Response
If successful, this method returns a 204 No content response code.
Examples
The following example shows how to call this API.
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/serviceprincipals/{id}/removeKey
Content-Type: application/json
{
"keyId": "f0b0b335-1d71-4883-8f98-567911bfdca6",
"proof":"eyJ0eXAiOiJ..."
}
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for